namespace org.accordproject.commonmark;
using AccordProject.Concerto;
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Node")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public abstract class Node : Concept {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Node";
   public string text { get; set; }
   public Node?[] nodes { get; set; }
   public int? startLine { get; set; }
   public int? endLine { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Root")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public abstract class Root : Node {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Root";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Child")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public abstract class Child : Node {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Child";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Text")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Text : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Text";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Attribute")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Attribute : Concept {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Attribute";
   public string name { get; set; }
   public string value { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "TagInfo")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class TagInfo : Concept {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.TagInfo";
   public string tagName { get; set; }
   public string attributeString { get; set; }
   public Attribute[] attributes { get; set; }
   public string content { get; set; }
   public bool closed { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "CodeBlock")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class CodeBlock : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.CodeBlock";
   public string info { get; set; }
   public TagInfo? tag { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Code")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Code : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Code";
   public string info { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "HtmlInline")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class HtmlInline : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.HtmlInline";
   public TagInfo? tag { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "HtmlBlock")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class HtmlBlock : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.HtmlBlock";
   public TagInfo? tag { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Emph")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Emph : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Emph";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Strong")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Strong : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Strong";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "BlockQuote")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class BlockQuote : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.BlockQuote";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Heading")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Heading : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Heading";
   public string level { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "ThematicBreak")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class ThematicBreak : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.ThematicBreak";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Softbreak")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Softbreak : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Softbreak";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Linebreak")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Linebreak : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Linebreak";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Link")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Link : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Link";
   public string destination { get; set; }
   public string title { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Image")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Image : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Image";
   public string destination { get; set; }
   public string title { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Paragraph")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Paragraph : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Paragraph";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "List")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class List : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.List";
   public string type { get; set; }
   public string start { get; set; }
   public string tight { get; set; }
   public string delimiter { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Item")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Item : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Item";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Document")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Document : Root {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Document";
   public string xmlns { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "Table")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Table : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.Table";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "TableHead")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class TableHead : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.TableHead";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "TableBody")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class TableBody : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.TableBody";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "TableRow")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class TableRow : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.TableRow";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "HeaderCell")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class HeaderCell : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.HeaderCell";
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.commonmark", Version = "0.5.0", Name = "TableCell")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class TableCell : Child {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.commonmark@0.5.0.TableCell";
}
